Subject: [bug#45889] Nextcloud Client (v8)

From: Leo Prikler <[email-masked]>
Date: Sun, 14 Feb 2021 11:53:07 +0100

Hi Raghav,

Am Samstag, den 13.02.2021, 18:54 -0500 schrieb Raghav Gururajan:
> Hi Leo!
> 
> > That may be an issue.  You might want to check which of those are
> > perhaps optional, so that you don't need to pull them in.  For
> > example
> > it appears you're also deleting libcrashreporter-qt with no
> > replacement.
> 
> I tried building with each one of them, but build fails without them 
> (except libcrashreporter-qt).
Interesting.  Is this due to CMakeLists picking up, that they're
missing and not replacing them with core stuff?

> > kmessagewidget appears to be a part of KDE core.  If anything there
> > is
> > strictly necessary for building, we should perhaps define a package
> > variant, that has a slightly patched kmessagewidget.  qtlockedfile
> > and
> > qtsingleapplication appear to be part of [1], a sort of
> > metapackage,
> > from which you could spawn multiple descriptions.  For qtokenizer,
> > I am
> > really not sure.
> 
> Thanks for the info. This package doesn't have an option or code to
> use packaged ones.
Perhaps you can patch the CMakeLists to add such support? 
Alternatively, you might want to delete them and unpack the upstream
ones to their locations.

> > Okay, but you can do something like PKGCONFIG_GETVAR\\(.+
> > _install_dir\\), assuming that such variables should generally only
> > be
> > bound once.  To be honest, I don't know enough CMake to tell,
> > whether
> > that is a good idea, however.
> 
> Changed in v9.
Note, that you're missing a space here.  This would also match
PKGCONFIG_GETVAR(pkg var foobar_install_dir).

> > In that case, the comment should probably read something along the
> > lines of "Make sure, that <X> is installed under $prefix."
> 
> Changed in v9.
LGTM.

Regards,
Leo